#include "point.hpp"
#include <cmath>

Point::Point(int x, int y) {
    this->x = x;
    this->y = y;
}

void Point::move(int dx, int dy) {
    this->x += dx;
    this->y += dy;
}

int Point::getX() { return this->x; }

int Point::getY() { return this->y; }

void Point::setX(int x) { this->x = x; }

void Point::setY(int y) { this->y = y; }

void Point::set(int x, int y) {
    this->x = x;
    this->y = y;
}

float Point::distance(Point p) {
    return sqrt(pow(this->x - p.x, 2) + pow(this->y - p.y, 2));
}

float Point::distanceOrigin() {
    return sqrt(pow(this->x, 2) + pow(this->y, 2));
}

std::ostream &operator<<(std::ostream &os, const Point &obj) {
    os << "Point: (" << obj.x << ", " << obj.y << ")";
    return os;
}
